Call Forwarding
All operations require authentication.
List DDI numbersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ddi \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a DDI numberProduction
Path parameters
The name of your billingAccount
Response
Phone number
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlAll existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ddi/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "destination": "string", "featureType": "aiAgent", "serviceName": "string", "serviceType": "alias"}
Update a DDI numberProduction
Path parameters
The name of your billingAccount
Request body (required)
Phone number
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlAll existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ddi/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Change the DDI destinationProduction
Path parameters
The name of your billingAccount
Request body (required)
The destination
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ ddi/ {serviceName}/ changeDestination \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List redirect numbersProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ redirect \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a redirect numberProduction
Path parameters
The name of your billingAccount
Response
Phone number
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlAll existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ redirect/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "destination": "string", "featureType": "aiAgent", "serviceName": "string", "serviceType": "alias"}
Update a redirect numberProduction
Path parameters
The name of your billingAccount
Request body (required)
Phone number
All existing types of line or alias
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlAll existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ redirect/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Change the redirect destinationProduction
Path parameters
The name of your billingAccount
Request body (required)
The destination
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ redirect/ {serviceName}/ changeDestination \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}